//
//  SpikeArray.h
//  Neuron1
//
//  Created by Leslie Smith on 22/09/2004.
//  Copyright 2004 University of Stirling. All rights reserved.
//
// Object encapsulating the spikes generated

#import <Cocoa/Cocoa.h>
#import "Network.h"



@interface SpikeArray : NSObject <NSCoding> {
	int numspikes ;
	spikearray spikesheld;
}

- initWithSpikearrayAndNumSpikes: (spikearray) spikestobeheld numberofspikes: (int) nspikes ;
- (id) initWithCoder: (NSCoder *) coder ;
- (void) encodeWithCoder: (NSCoder *) coder ;
- (int) getNumspikes ;
- (spikearray) getInputSpikes ;

@end
